import unittest


from contacts.protonmail import translate_vcf_to_contacts
from tests.mocks.VcfMock import VcfMock


class TestProtonmail(unittest.TestCase):
    def setUp(self):
        self.vcf_archive = [VcfMock("FakeName", "FakeNotes", "555-1212")]

    def tearDown(self):
        pass

    def test_translate_vcf_to_contacts_empty_input(self):
        translate_vcf_to_contacts([])

    def test_translate_vcf_to_contacts(self):
        translate_vcf_to_contacts(self.vcf_archive)


if __name__ == "__main__":
    unittest.main()
